Subject: Re: [PATCH net-next v2] macsec: Add support for IFLA_MACSEC_OFFLOAD in the netlink layer

From: Sabrina Dubroca <[email-masked]>
Date: Tue, 6 Dec 2022 17:10:32 +0100

2022-12-06, 14:35:23 +0100, Jiri Pirko wrote:
> Tue, Dec 06, 2022 at 01:31:54PM CET, [email-masked] wrote:
> >> Tue, Dec 06, 2022 at 09:57:57AM CET, [email-masked] wrote:
> >> >From: Emeel Hakim <[email-masked]>
> >> >
> >> >This adds support for configuring Macsec offload through the
> >> 
> >> Tell the codebase what to do. Be imperative in your patch descriptions so it is clear
> >> what are the intensions of the patch.
> >
> >Ack
> >
> >> 
> >> 
> >> >netlink layer by:
> >> >- Considering IFLA_MACSEC_OFFLOAD in macsec_fill_info.
> >> >- Handling IFLA_MACSEC_OFFLOAD in macsec_changelink.
> >> >- Adding IFLA_MACSEC_OFFLOAD to the netlink policy.
> >> >- Adjusting macsec_get_size.
> >> 
> >> 4 patches then?
> >
> >Ack, I will change the commit message to be imperative and will replace the list with a good description.
> >I still believe it should be a one patch since splitting this could break a bisect process.
> 
> Well, when you split, you have to make sure you don't break bisection,
> always. Please try to figure that out.

I think this can be split pretty nicely into 3 patches:
 - add IFLA_MACSEC_OFFLOAD to macsec_rtnl_policy (probably for net
   with a Fixes tag on the commit that introduced IFLA_MACSEC_OFFLOAD)
 - add offload to macsec_fill_info/macsec_get_size
 - add IFLA_MACSEC_OFFLOAD support to changelink

The subject of the last patch should also make it clear that it's only
adding IFLA_MACSEC_OFFLOAD to changelink. As it's written, someone
could assume there's no support at all via rtnl ops and wonder why
this patch isn't doing anything to newlink, and whether/why this
IFLA_MACSEC_OFFLOAD already exists.

-- 
Sabrina